Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -1540,193 +1521,190 @@
     ENDIF
 
-    IF (prt_level>=1) print *,'CONVERGENCE PHYSIQUE THERM 1 '
+    IF (prt_level>=1) print *, 'CONVERGENCE PHYSIQUE THERM 1 '
 
     !======================================================================
     ! Gestion calendrier : mise a jour du module phys_cal_mod
-    !
+
     !     CALL phys_cal_update(jD_cur,jH_cur)
 
-    !
     ! Si c'est le debut, il faut initialiser plusieurs choses
     !          ********
-    !
+
     IF (debut) THEN
-       !rv CRinitialisation de wght_th et lalim_conv pour la
-       !definition de la couche alimentation de la convection a partir
-       !des caracteristiques du thermique
-       wght_th(:,:)=1.
-       lalim_conv(:)=1 
-       !RC
-       ustar(:,:)=0.
-!       u10m(:,:)=0.
-!       v10m(:,:)=0.
-       rain_con(:)=0.
-       snow_con(:)=0.
-       topswai(:)=0.
-       topswad(:)=0.
-       solswai(:)=0.
-       solswad(:)=0.
-
-       wmax_th(:)=0.
-       tau_overturning_th(:)=0.
-
-       IF (ANY(type_trac == ['inca','inco'])) THEN
-          ! jg : initialisation jusqu'au ces variables sont dans restart
-          ccm(:,:,:) = 0.
-          tau_aero(:,:,:,:) = 0.
-          piz_aero(:,:,:,:) = 0.
-          cg_aero(:,:,:,:) = 0.
-          d_q_ch4(:,:) = 0.
-
-          config_inca='none' ! default
-          CALL getin_p('config_inca',config_inca)
-
-       ELSE 
-          config_inca='none' ! default
-       ENDIF
-
-       tau_aero(:,:,:,:) = 1.e-15
-       piz_aero(:,:,:,:) = 1.
-       cg_aero(:,:,:,:)  = 0.
-       d_q_ch4(:,:) = 0.
-
-       IF (aerosol_couple .AND. (config_inca /= "aero" &
-            .AND. config_inca /= "aeNP ")) THEN
-          abort_message &
-               = 'if aerosol_couple is activated, config_inca need to be ' &
-               // 'aero or aeNP'
-          CALL abort_physic (modname,abort_message,1)
-       ENDIF
-
-       rnebcon0(:,:) = 0.0
-       clwcon0(:,:) = 0.0
-       rnebcon(:,:) = 0.0
-       clwcon(:,:) = 0.0
-
-       !
-       print*,'iflag_coupl,iflag_clos,iflag_wake', &
-            iflag_coupl,iflag_clos,iflag_wake
-       print*,'iflag_cycle_diurne', iflag_cycle_diurne
-       !
-       IF (iflag_con==2.AND.iflag_cld_th>-1) THEN
-          abort_message = 'Tiedtke needs iflag_cld_th=-2 or -1'
-          CALL abort_physic (modname,abort_message,1)
-       ENDIF
-       !
-       !
-       ! Initialiser les compteurs:
-       !
-       itap    = 0
-       itaprad = 0
-       itapcv = 0
-       itapwk = 0
-
-       ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       !! Un petit travail \`a faire ici.
-       ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-       IF (iflag_pbl>1) THEN
-          PRINT*, "Using method MELLOR&YAMADA" 
-       ENDIF
-
-       ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       ! FH 2008/05/02 changement lie a la lecture de nbapp_rad dans
-       ! phylmd plutot que dyn3d
-       ! Attention : la version precedente n'etait pas tres propre.
-       ! Il se peut qu'il faille prendre une valeur differente de nbapp_rad
-       ! pour obtenir le meme resultat.
-!jyg for fh<
-       WRITE(lunout,*) 'Pas de temps phys_tstep pdtphys ',phys_tstep,pdtphys
-       IF (abs(phys_tstep-pdtphys)>1.e-10) THEN
-          abort_message='pas de temps doit etre entier en seconde pour orchidee et XIOS'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-!>jyg
-       IF (MOD(NINT(86400./phys_tstep),nbapp_rad)==0) THEN
-          radpas = NINT( 86400./phys_tstep)/nbapp_rad
-       ELSE 
-          WRITE(lunout,*) 'le nombre de pas de temps physique doit etre un ', &
-               'multiple de nbapp_rad'
-          WRITE(lunout,*) 'changer nbapp_rad ou alors commenter ce test ', &
-               'mais 1+1<>2'
-          abort_message='nbre de pas de temps physique n est pas multiple ' &
-               // 'de nbapp_rad'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-       IF (nbapp_cv == 0) nbapp_cv=86400./phys_tstep
-       IF (nbapp_wk == 0) nbapp_wk=86400./phys_tstep
-       print *,'physiq, nbapp_cv, nbapp_wk ',nbapp_cv,nbapp_wk
-       IF (MOD(NINT(86400./phys_tstep),nbapp_cv)==0) THEN
-          cvpas_0 = NINT( 86400./phys_tstep)/nbapp_cv
-          cvpas = cvpas_0
-       print *,'physiq, cvpas ',cvpas
-       ELSE 
-          WRITE(lunout,*) 'le nombre de pas de temps physique doit etre un ', &
-               'multiple de nbapp_cv'
-          WRITE(lunout,*) 'changer nbapp_cv ou alors commenter ce test ', &
-               'mais 1+1<>2'
-          abort_message='nbre de pas de temps physique n est pas multiple ' &
-               // 'de nbapp_cv'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-       IF (MOD(NINT(86400./phys_tstep),nbapp_wk)==0) THEN
-          wkpas = NINT( 86400./phys_tstep)/nbapp_wk
-!       print *,'physiq, wkpas ',wkpas
-       ELSE 
-          WRITE(lunout,*) 'le nombre de pas de temps physique doit etre un ', &
-               'multiple de nbapp_wk'
-          WRITE(lunout,*) 'changer nbapp_wk ou alors commenter ce test ', &
-               'mais 1+1<>2'
-          abort_message='nbre de pas de temps physique n est pas multiple ' &
-               // 'de nbapp_wk'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
-       ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       CALL init_iophy_new(latitude_deg,longitude_deg)
-
-          !===================================================================
-          !IM stations CFMIP
-          nCFMIP=npCFMIP
-          OPEN(98,file='npCFMIP_param.data',status='old', &
-               form='formatted',iostat=iostat)
-          IF (iostat == 0) THEN
-             READ(98,*,end=998) nCFMIP
-998          CONTINUE
-             CLOSE(98)
-             IF(nCFMIP>npCFMIP) THEN
-                print*,'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
-                CALL abort_physic("physiq", "", 1)
-             ELSE
-                print*,'physiq npCFMIP=',npCFMIP,'nCFMIP=',nCFMIP
-             ENDIF
-
-             !
-             ALLOCATE(tabCFMIP(nCFMIP))
-             ALLOCATE(lonCFMIP(nCFMIP), latCFMIP(nCFMIP))
-             ALLOCATE(tabijGCM(nCFMIP))
-             ALLOCATE(lonGCM(nCFMIP), latGCM(nCFMIP))
-             ALLOCATE(iGCM(nCFMIP), jGCM(nCFMIP))
-             !
-             ! lecture des nCFMIP stations CFMIP, de leur numero 
-             ! et des coordonnees geographiques lonCFMIP, latCFMIP
-             !
-             CALL read_CFMIP_point_locations(nCFMIP, tabCFMIP,  &
-                  lonCFMIP, latCFMIP)
-             !
-             ! identification des
-             ! 1) coordonnees lonGCM, latGCM des points CFMIP dans la
-             ! grille de LMDZ
-             ! 2) indices points tabijGCM de la grille physique 1d sur
-             ! klon points
-             ! 3) indices iGCM, jGCM de la grille physique 2d
-             !
-             CALL LMDZ_CFMIP_point_locations(nCFMIP, lonCFMIP, latCFMIP, &
-                  tabijGCM, lonGCM, latGCM, iGCM, jGCM)
-             !
-          ELSE
-             ALLOCATE(tabijGCM(0))
-             ALLOCATE(lonGCM(0), latGCM(0))
-             ALLOCATE(iGCM(0), jGCM(0))
-          ENDIF
+      !rv CRinitialisation de wght_th et lalim_conv pour la
+      !definition de la couche alimentation de la convection a partir
+      !des caracteristiques du thermique
+      wght_th(:, :) = 1.
+      lalim_conv(:) = 1
+      !RC
+      ustar(:, :) = 0.
+      !       u10m(:,:)=0.
+      !       v10m(:,:)=0.
+      rain_con(:) = 0.
+      snow_con(:) = 0.
+      topswai(:) = 0.
+      topswad(:) = 0.
+      solswai(:) = 0.
+      solswad(:) = 0.
+
+      wmax_th(:) = 0.
+      tau_overturning_th(:) = 0.
+
+      IF (ANY(type_trac == ['inca', 'inco'])) THEN
+        ! jg : initialisation jusqu'au ces variables sont dans restart
+        ccm(:, :, :) = 0.
+        tau_aero(:, :, :, :) = 0.
+        piz_aero(:, :, :, :) = 0.
+        cg_aero(:, :, :, :) = 0.
+        d_q_ch4(:, :) = 0.
+
+        config_inca = 'none' ! default
+        CALL getin_p('config_inca', config_inca)
+
+      ELSE
+        config_inca = 'none' ! default
+      ENDIF
+
+      tau_aero(:, :, :, :) = 1.e-15
+      piz_aero(:, :, :, :) = 1.
+      cg_aero(:, :, :, :) = 0.
+      d_q_ch4(:, :) = 0.
+
+      IF (aerosol_couple .AND. (config_inca /= "aero" &
+              .AND. config_inca /= "aeNP ")) THEN
+        abort_message &
+                = 'if aerosol_couple is activated, config_inca need to be ' &
+                // 'aero or aeNP'
+        CALL abort_physic (modname, abort_message, 1)
+      ENDIF
+
+      rnebcon0(:, :) = 0.0
+      clwcon0(:, :) = 0.0
+      rnebcon(:, :) = 0.0
+      clwcon(:, :) = 0.0
+
+      print*, 'iflag_coupl,iflag_clos,iflag_wake', &
+              iflag_coupl, iflag_clos, iflag_wake
+      print*, 'iflag_cycle_diurne', iflag_cycle_diurne
+
+      IF (iflag_con==2.AND.iflag_cld_th>-1) THEN
+        abort_message = 'Tiedtke needs iflag_cld_th=-2 or -1'
+        CALL abort_physic (modname, abort_message, 1)
+      ENDIF
+
+
+      ! Initialiser les compteurs:
+
+      itap = 0
+      itaprad = 0
+      itapcv = 0
+      itapwk = 0
+
+      ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      !! Un petit travail \`a faire ici.
+      ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+      IF (iflag_pbl>1) THEN
+        PRINT*, "Using method MELLOR&YAMADA"
+      ENDIF
+
+      ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ! FH 2008/05/02 changement lie a la lecture de nbapp_rad dans
+      ! phylmd plutot que dyn3d
+      ! Attention : la version precedente n'etait pas tres propre.
+      ! Il se peut qu'il faille prendre une valeur differente de nbapp_rad
+      ! pour obtenir le meme resultat.
+      !jyg for fh<
+      WRITE(lunout, *) 'Pas de temps phys_tstep pdtphys ', phys_tstep, pdtphys
+      IF (abs(phys_tstep - pdtphys)>1.e-10) THEN
+        abort_message = 'pas de temps doit etre entier en seconde pour orchidee et XIOS'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+      !>jyg
+      IF (MOD(NINT(86400. / phys_tstep), nbapp_rad)==0) THEN
+        radpas = NINT(86400. / phys_tstep) / nbapp_rad
+      ELSE
+        WRITE(lunout, *) 'le nombre de pas de temps physique doit etre un ', &
+                'multiple de nbapp_rad'
+        WRITE(lunout, *) 'changer nbapp_rad ou alors commenter ce test ', &
+                'mais 1+1<>2'
+        abort_message = 'nbre de pas de temps physique n est pas multiple ' &
+                // 'de nbapp_rad'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+      IF (nbapp_cv == 0) nbapp_cv = 86400. / phys_tstep
+      IF (nbapp_wk == 0) nbapp_wk = 86400. / phys_tstep
+      print *, 'physiq, nbapp_cv, nbapp_wk ', nbapp_cv, nbapp_wk
+      IF (MOD(NINT(86400. / phys_tstep), nbapp_cv)==0) THEN
+        cvpas_0 = NINT(86400. / phys_tstep) / nbapp_cv
+        cvpas = cvpas_0
+        print *, 'physiq, cvpas ', cvpas
+      ELSE
+        WRITE(lunout, *) 'le nombre de pas de temps physique doit etre un ', &
+                'multiple de nbapp_cv'
+        WRITE(lunout, *) 'changer nbapp_cv ou alors commenter ce test ', &
+                'mais 1+1<>2'
+        abort_message = 'nbre de pas de temps physique n est pas multiple ' &
+                // 'de nbapp_cv'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+      IF (MOD(NINT(86400. / phys_tstep), nbapp_wk)==0) THEN
+        wkpas = NINT(86400. / phys_tstep) / nbapp_wk
+        !       print *,'physiq, wkpas ',wkpas
+      ELSE
+        WRITE(lunout, *) 'le nombre de pas de temps physique doit etre un ', &
+                'multiple de nbapp_wk'
+        WRITE(lunout, *) 'changer nbapp_wk ou alors commenter ce test ', &
+                'mais 1+1<>2'
+        abort_message = 'nbre de pas de temps physique n est pas multiple ' &
+                // 'de nbapp_wk'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
+      ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      CALL init_iophy_new(latitude_deg, longitude_deg)
+
+      !===================================================================
+      !IM stations CFMIP
+      nCFMIP = npCFMIP
+      OPEN(98, file = 'npCFMIP_param.data', status = 'old', &
+              form = 'formatted', iostat = iostat)
+      IF (iostat == 0) THEN
+        READ(98, *, end = 998) nCFMIP
+        998          CONTINUE
+        CLOSE(98)
+        IF(nCFMIP>npCFMIP) THEN
+          print*, 'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
+          CALL abort_physic("physiq", "", 1)
+        ELSE
+          print*, 'physiq npCFMIP=', npCFMIP, 'nCFMIP=', nCFMIP
+        ENDIF
+
+        ALLOCATE(tabCFMIP(nCFMIP))
+        ALLOCATE(lonCFMIP(nCFMIP), latCFMIP(nCFMIP))
+        ALLOCATE(tabijGCM(nCFMIP))
+        ALLOCATE(lonGCM(nCFMIP), latGCM(nCFMIP))
+        ALLOCATE(iGCM(nCFMIP), jGCM(nCFMIP))
+
+        ! lecture des nCFMIP stations CFMIP, de leur numero
+        ! et des coordonnees geographiques lonCFMIP, latCFMIP
+
+        CALL read_CFMIP_point_locations(nCFMIP, tabCFMIP, &
+                lonCFMIP, latCFMIP)
+
+        ! identification des
+        ! 1) coordonnees lonGCM, latGCM des points CFMIP dans la
+        ! grille de LMDZ
+        ! 2) indices points tabijGCM de la grille physique 1d sur
+        ! klon points
+        ! 3) indices iGCM, jGCM de la grille physique 2d
+
+        CALL LMDZ_CFMIP_point_locations(nCFMIP, lonCFMIP, latCFMIP, &
+                tabijGCM, lonGCM, latGCM, iGCM, jGCM)
+
+      ELSE
+        ALLOCATE(tabijGCM(0))
+        ALLOCATE(lonGCM(0), latGCM(0))
+        ALLOCATE(iGCM(0), jGCM(0))
+      ENDIF
 
 #ifdef CPP_IOIPSL
@@ -1763,13 +1741,12 @@
 
 #endif
-       ecrit_reg = ecrit_reg * un_jour
-       ecrit_tra = ecrit_tra * un_jour
-
-       !XXXPB Positionner date0 pour initialisation de ORCHIDEE
-       date0 = jD_ref 
-       WRITE(*,*) 'physiq date0 : ',date0
-       !
-
-!       CALL create_climoz(read_climoz)
+      ecrit_reg = ecrit_reg * un_jour
+      ecrit_tra = ecrit_tra * un_jour
+
+      !XXXPB Positionner date0 pour initialisation de ORCHIDEE
+      date0 = jD_ref
+      WRITE(*, *) 'physiq date0 : ', date0
+
+      !       CALL create_climoz(read_climoz)
       IF (.NOT. create_etat0_limit) CALL init_aero_fromfile(flag_aerosol, aerosol_couple)  !! initialise aero from file for XIOS interpolation (unstructured_grid)
       IF (.NOT. create_etat0_limit) CALL init_readaerosolstrato(flag_aerosol_strat)  !! initialise aero strato from file for XIOS interpolation (unstructured_grid)
@@ -1802,5 +1779,5 @@
                fiwc_cosp0,prfl_cosp0,psfl_cosp0,pmflxr_cosp0,pmflxs_cosp0, &
                mr_ozone_cosp0,cldtau_cosp0,cldemi_cosp0,JrNt_cosp0)
-     
+
         CALL phys_cosp2(itap,phys_tstep,freq_cosp, &
                ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP, &
@@ -1831,53 +1808,51 @@
                mr_ozone,cldtau, cldemi)
 #endif
-      ENDIF 
-
-       !
-       !
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       ! Nouvelle initialisation pour le rayonnement RRTM
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-       CALL iniradia(klon,klev,paprs(1,1:klev+1))
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       CALL wake_ini(rg,rd,rv,prt_level)
-       CALL yamada_ini(klon,lunout,prt_level)
-       viscom=1.46E-5
-       viscoh=2.06E-5
-       CALL atke_ini(RG, RD, RPI, RCPD, RV, viscom, viscoh)
-       CALL thermcell_ini(iflag_thermals,prt_level,tau_thermals,lunout, &
-      RG,RD,RCPD,RKAPPA,RLVTT,RETV)
-       CALL ratqs_ini(klon,klev,iflag_thermals,lunout,nbsrf,is_lic,is_ter,RG,RV,RD,RCPD,RLSTT,RLVTT,RTT)
-       CALL lscp_ini(pdtphys,lunout,prt_level,ok_ice_sursat,iflag_ratqs,fl_cor_ebil,RCPD,RLSTT,RLVTT,RLMLT,RVTMP2,RTT,RD,RG,RV,RPI)
-       CALL blowing_snow_ini(RCPD, RLSTT, RLVTT, RLMLT, &
-                             RVTMP2, RTT,RD,RG, RV, RPI)
-       ! Test de coherence sur oc_cdnc utilisé uniquement par cloud_optics_prop
-       IF (ok_newmicro) then
-          IF (iflag_rrtm==1) THEN
+      ENDIF
+
+
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ! Nouvelle initialisation pour le rayonnement RRTM
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+      CALL iniradia(klon, klev, paprs(1, 1:klev + 1))
+
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      CALL wake_ini(rg, rd, rv, prt_level)
+      CALL yamada_ini(klon, lunout, prt_level)
+      viscom = 1.46E-5
+      viscoh = 2.06E-5
+      CALL atke_ini(RG, RD, RPI, RCPD, RV, viscom, viscoh)
+      CALL thermcell_ini(iflag_thermals, prt_level, tau_thermals, lunout, &
+              RG, RD, RCPD, RKAPPA, RLVTT, RETV)
+      CALL ratqs_ini(klon, klev, iflag_thermals, lunout, nbsrf, is_lic, is_ter, RG, RV, RD, RCPD, RLSTT, RLVTT, RTT)
+      CALL lscp_ini(pdtphys, lunout, prt_level, ok_ice_sursat, iflag_ratqs, fl_cor_ebil, RCPD, RLSTT, RLVTT, RLMLT, RVTMP2, RTT, RD, RG, RV, RPI)
+      CALL blowing_snow_ini(RCPD, RLSTT, RLVTT, RLMLT, &
+              RVTMP2, RTT, RD, RG, RV, RPI)
+      ! Test de coherence sur oc_cdnc utilisé uniquement par cloud_optics_prop
+      IF (ok_newmicro) then
+        IF (iflag_rrtm==1) THEN
 #ifdef CPP_RRTM
              IF (ok_cdnc.AND.NRADLP.NE.3) THEN
              abort_message='RRTM choix incoherent NRADLP doit etre egal a 3 ' &
-                  // 'pour ok_cdnc' 
+                  // 'pour ok_cdnc'
              CALL abort_physic(modname,abort_message,1)
              ENDIF
 #else
 
-             abort_message='You should compile with -rrtm if running with '//'iflag_rrtm=1'
-             CALL abort_physic(modname,abort_message,1)
+          abort_message = 'You should compile with -rrtm if running with ' // 'iflag_rrtm=1'
+          CALL abort_physic(modname, abort_message, 1)
 #endif
-          ENDIF
-       ENDIF   
-       CALL cloud_optics_prop_ini(klon, prt_level, lunout, flag_aerosol, &
-   ok_cdnc, bl95_b0, &
-   bl95_b1, latitude_deg, rpi, rg, rd, &
-   zepsec, novlp, iflag_ice_thermo, ok_new_lscp)
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-       !
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       ! Initialisation des champs dans phytrac* qui sont utilises par phys_output_write*
-       !
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+        ENDIF
+      ENDIF
+      CALL cloud_optics_prop_ini(klon, prt_level, lunout, flag_aerosol, &
+              ok_cdnc, bl95_b0, &
+              bl95_b1, latitude_deg, rpi, rg, rd, &
+              zepsec, novlp, iflag_ice_thermo, ok_new_lscp)
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ! Initialisation des champs dans phytrac* qui sont utilises par phys_output_write*
+
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 #ifdef REPROBUS
        CALL strataer_init
